Project

Profile

Help

HostedRedmine.com has moved to the Planio platform. All logins and passwords remained the same. All users will be able to login and use Redmine just as before. Read more...

Feature #767471

Feature #637944: New gtk3x-client

Set gtk3x-client to use gtk+-3.94

Added by Marko Lindqvist about 4 years ago. Updated about 3 years ago.

Status:
Closed
Priority:
Normal
Category:
Bootstrap
Sprint/Milestone:
Start date:
Due date:
% Done:

0%

Estimated time:

Description

This is required for even testing building against gtk+-3.94.

All the gtk+ API changes mean that gtk3x-client does not currently compile with gtk+-3.94 (or any version newer than gtk+-3.90 which we currently use). AFAIK none of the issues can be fixed without breaking compile with gtk+-3.90. So there's no way to go forward with gtk3x-client development without temporarily breaking its build, unless we wait that all the parts get fixed simultaneously.

History

#3 Updated by Marko Lindqvist about 3 years ago

- Rebased against master HEAD
- Adjust also GLIB_VERSION_MIN_REQUIRED

#4 Updated by Marko Lindqvist about 3 years ago

I'm adding this, along the rest of gtk+-3.94 patches, to my active patches queue, so will get pushed in about a week.

#5 Updated by Marko Lindqvist about 3 years ago

  • Status changed from Resolved to Closed
  • Assignee set to Marko Lindqvist

Also available in: Atom PDF